/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.ws.jaxws.jbws2087;

import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import junit.framework.Test;

import org.jboss.wsf.test.JBossWSTest;
import org.jboss.wsf.test.JBossWSTestSetup;

public class JBWS2087TestCase extends JBossWSTest
{
   public static Test suite()
   {
      return new JBossWSTestSetup(JBWS2087TestCase.class, "jaxws-jbws2087.jar");
   }

   public void testClientProxy() throws Exception
   {
      Service service = Service.create(
         new URL("http://"+getServerHost()+":8080/jaxws-jbws2087/MetroTestServiceBean?wsdl"),
         new QName("http://com.acme.metroexceptiontest/", "MetroTestService")
      );
      MetroTestPortType port = service.getPort(MetroTestPortType.class);

      try
      {
         port.helloWorld();
         fail("A MetroTestException should have been thrown.");
      }
      catch (MetroTestException e)
      {
         assertEquals("My message", e.getMessage());
         assertEquals("My detail", e.getFaultInfo().getDetail());
      }
   }
}
