/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.ws.jaxws.jbws2403;

import java.net.URL;

import javax.xml.ws.WebServiceException;
import javax.xml.ws.Holder;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamSource;
import javax.activation.DataHandler;
import javax.jws.WebService;

/**
 * Endpoint implementation 
 * @author richard.opalka@jboss.com
 */
@WebService
(
   portName="TestPort",
   serviceName="TestService",
   targetNamespace="http://TestService.org/wsdl",
   wsdlLocation="WEB-INF/wsdl/TestService.wsdl",
   endpointInterface="org.jboss.test.ws.jaxws.jbws2403.TestPort"
)
public class EndpointImpl implements TestPort
{
   public void echo(Request request, javax.xml.ws.Holder<Response> response, Holder<Source> attach)
   {
      try
      {
         Response theResponse = new Response();
         theResponse.setMimeType(request.getMimeType());
         DataHandler dh = new DataHandler(new URL(request.getUrl()));
         attach.value = new StreamSource(dh.getInputStream());
         response.value = theResponse;
      }
      catch (Exception e)
      {
         throw new WebServiceException(e.getMessage());
      }
   }
}
